Skip to content

/v1/phone-numbers/{phoneNumberId}/flow

PATCH
/v1/phone-numbers/{phoneNumberId}/flow
curl --request PATCH \
--url https://service.v2.nairon.xyz/v1/phone-numbers/example/flow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "flowId": "example" }'
phoneNumberId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
Media typeapplication/json
object
flowId
required
Any of:
string format: cuid
/^[cC][0-9a-z]{6,}$/
Examplegenerated
{
"flowId": "example"
}

Default Response

Media typeapplication/json
object
id
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
type
required
string
Allowed values: nairon partner external
name
required
string
number
required
string
status
required
string
Allowed values: enabled disabled
flowId
required
Any of:
string format: cuid
/^[cC][0-9a-z]{6,}$/
externalPhoneFields
required
Any of:
createdAt
required
string
updatedAt
required
string
Example
{
"type": "nairon",
"status": "enabled"
}